# eric7.WebBrowser.GreaseMonkey.GreaseMonkeyConfiguration.GreaseMonkeyConfigurationDialog

Module implementing the GreaseMonkey scripts configuration dialog.

### Global Attributes

None

### Classes

GreaseMonkeyConfigurationDialog | Class implementing the GreaseMonkey scripts configuration dialog.

### Functions

None

## GreaseMonkeyConfigurationDialog

Class implementing the GreaseMonkey scripts configuration dialog.

### Derived from

QDialog, Ui_GreaseMonkeyConfigurationDialog

### Class Attributes

ScriptDescriptionRole
ScriptRole
ScriptVersionRole

### Class Methods

None

### Methods

GreaseMonkeyConfigurationDialog | Constructor
__getScript | Private method to get the script for the given item.
__itemChanged | Private slot to handle changes of a script item.
__loadScripts | Private method to load all the available scripts.
__removeItem | Private slot to remove a script item.
on_downloadLabel_linkActivated | Private slot to open the greasyfork.org web site.
on_openDirectoryButton_clicked | Private slot to open the GreaseMonkey scripts directory.
on_scriptsList_itemDoubleClicked | Private slot to show information about the selected script.

### Static Methods

None

#### GreaseMonkeyConfigurationDialog (Constructor)

GreaseMonkeyConfigurationDialog(manager, parent=None)

Constructor

manager
  reference to the manager object (GreaseMonkeyManager)
parent
  reference to the parent widget (QWidget)

#### GreaseMonkeyConfigurationDialog.__getScript

__getScript(itm)

Private method to get the script for the given item.

itm
  item to get script for (QListWidgetItem)

Return:
  reference to the script object (GreaseMonkeyScript)

#### GreaseMonkeyConfigurationDialog.__itemChanged

__itemChanged(itm)

Private slot to handle changes of a script item.

itm
  changed item (QListWidgetItem)

#### GreaseMonkeyConfigurationDialog.__loadScripts

__loadScripts()

Private method to load all the available scripts.

#### GreaseMonkeyConfigurationDialog.__removeItem

__removeItem(itm)

Private slot to remove a script item.

itm
  item to be removed (QListWidgetItem)

#### GreaseMonkeyConfigurationDialog.on_downloadLabel_linkActivated

on_downloadLabel_linkActivated(link)

Private slot to open the greasyfork.org web site.

link
  URL (string)

#### GreaseMonkeyConfigurationDialog.on_openDirectoryButton_clicked

on_openDirectoryButton_clicked()

Private slot to open the GreaseMonkey scripts directory.

#### GreaseMonkeyConfigurationDialog.on_scriptsList_itemDoubleClicked

on_scriptsList_itemDoubleClicked(item)

Private slot to show information about the selected script.

item
  reference to the double clicked item (QListWidgetItem)

Up